GDBserver

Macros
host-defs.h File Reference
`#include <limits.h>`

Go to the source code of this file.

## Macros
#define | TARGET_CHAR_BIT 8
#define | HOST_CHAR_BIT TARGET_CHAR_BIT
#define | DIRNAME_SEPARATOR ':'
#define | SLASH_STRING "/"

## Macro Definition Documentation

## ◆ DIRNAME_SEPARATOR

#define DIRNAME_SEPARATOR ':'

Definition at line 54 of file host-defs.h.

Referenced by dirnames_to_char_ptr_vec_append().

## ◆ HOST_CHAR_BIT

#define HOST_CHAR_BIT TARGET_CHAR_BIT

If we picked up a copy of CHAR_BIT from a configuration file (which may get it by including <limits.h>) then use it to set the number of bits in a host char. If not, use the same size as the target.

Definition at line 40 of file host-defs.h.

## ◆ SLASH_STRING

#define SLASH_STRING "/"

Definition at line 58 of file host-defs.h.

## ◆ TARGET_CHAR_BIT

#define TARGET_CHAR_BIT 8

Number of bits in a char or unsigned char for the target machine. Just like CHAR_BIT in <limits.h> but describes the target machine.

Definition at line 29 of file host-defs.h.